<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.dcsoft.system.mapper.SysPeopleRuleMapper">

    <resultMap type="SysPeopleRule" id="SysPeopleRuleResult">
        <result property="id"    column="id"    />
        <result property="peopleId"    column="people_id"    />
        <result property="ruleId"    column="rule_id"    />
        <result property="equipmentId"    column="equipment_id"    />
        <result property="sync"    column="sync"    />
        <result property="remark"    column="remark"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />

    </resultMap>

    <sql id="selectSysPeopleRuleVo">
        select id, people_id, rule_id,equipment_id, sync, remark, create_by, create_time, update_by, update_time from sys_people_rule
    </sql>

    <select id="selectSysPeopleRuleList" parameterType="SysPeopleRule" resultMap="SysPeopleRuleResult">
        <include refid="selectSysPeopleRuleVo"/>
        <where>
            <if test="peopleId != null "> and people_id = #{peopleId}</if>
            <if test="ruleId != null "> and rule_id = #{ruleId}</if>
            <if test="sync != null "> and sync = #{sync}</if>
        </where>
    </select>

    <select id="selectSysPeopleRuleById" parameterType="Long" resultMap="SysPeopleRuleResult">
        <include refid="selectSysPeopleRuleVo"/>
        where id = #{id}
    </select>

    <insert id="insertSysPeopleRule" parameterType="SysPeopleRule" useGeneratedKeys="true" keyProperty="id">
        insert into sys_people_rule
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="peopleId != null">people_id,</if>
            <if test="ruleId != null">rule_id,</if>
            <if test="equipmentId != null">equipment_id,</if>
            <if test="sync != null">sync,</if>
            <if test="remark != null">remark,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="peopleId != null">#{peopleId},</if>
            <if test="ruleId != null">#{ruleId},</if>
            <if test="equipmentId != null">#{equipmentId},</if>
            <if test="sync != null">#{sync},</if>
            <if test="remark != null">#{remark},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
         </trim>
    </insert>

    <update id="updateSysPeopleRule" parameterType="SysPeopleRule">
        update sys_people_rule
        <trim prefix="SET" suffixOverrides=",">
            <if test="peopleId != null">people_id = #{peopleId},</if>
            <if test="ruleId != null">rule_id = #{ruleId},</if>
            <if test="equipmentId != null">equipment_id = #{equipmentId},</if>
            <if test="sync != null">sync = #{sync},</if>
            <if test="remark != null">remark = #{remark},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteSysPeopleRuleById" parameterType="Long">
        delete from sys_people_rule where id = #{id}
    </delete>

    <delete id="deleteSysPeopleRuleByIds" parameterType="String">
        delete from sys_people_rule where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>
